Skip to content
Lkp kicker dev

API 문서

Lkp api lead

다운로드 PHP 코드 예제

Lkp api overview

참고:주의 깊게 읽어 보시기 바랍니다. 당신이 우리의 응용 프로그램에 의해 추가 무엇 그것의 솔로 응답.

HTTP 방법
POST
응답 형식
JSON
Compatibility
Perfect Panel API v2 format — connect it to Perfect Panel, SocPanel, SmartPanel and other panels as a regular provider. Requests: POST (form or JSON), GET also works.
Order statuses
Pending · In progress · Processing · Completed · Partial · Canceled
API URL
https://777like.ru/api/v2
Legacy URL
https://777like.ru/api/v1 — legacy SmartPanel format, still works; use the URL above for new connections.

새로운 주문

모수설명
keyYour API key
actionadd
serviceService ID
linkLink to page
quantityNeeded quantity
runs optionalRuns to deliver (drip-feed)
interval optionalInterval in minutes, 1–1440 (drip-feed)

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 \
  -d key=YOUR_API_KEY \
  -d action=add \
  -d service=1 \
  -d link=https://twitch.tv/channel \
  -d quantity=1000

응답 예:

json
{
  "order": 23501
}

상태 주문

모수설명
keyYour API key
actionstatus
orderOrder ID

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=status -d order=23501

응답 예:

json
{
  "charge": "0.27819",
  "start_count": "3572",
  "status": "Partial",
  "remains": "157",
  "currency": "USD"
}

다중 주문 상태

모수설명
keyYour API key
actionstatus
ordersOrder IDs separated by comma (up to 100)

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=status -d orders=1,10,100

응답 예:

json
{
  "1": {
    "charge": "0.27819",
    "start_count": "3572",
    "status": "Partial",
    "remains": "157",
    "currency": "USD"
  },
  "10": {
    "error": "Incorrect order ID"
  },
  "100": {
    "charge": "1.44219",
    "start_count": "234",
    "status": "In progress",
    "remains": "10",
    "currency": "USD"
  }
}

서비스 목록

모수설명
keyYour API key
actionservices

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=services

응답 예:

json
[
  {
    "service": 1,
    "name": "Followers",
    "type": "Default",
    "category": "First Category",
    "rate": "0.90",
    "min": "50",
    "max": "10000",
    "refill": true,
    "cancel": true,
    "dripfeed": false
  }
]

균형

모수설명
keyYour API key
actionbalance

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=balance

응답 예:

json
{
  "balance": "100.84292",
  "currency": "USD"
}

Refill

모수설명
keyYour API key
actionrefill
orderOrder ID

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=refill -d order=23501

응답 예:

json
{
  "refill": "1"
}

Multiple refill

모수설명
keyYour API key
actionrefill
ordersOrder IDs separated by comma (up to 100)

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=refill -d orders=1,2,3

응답 예:

json
[
  {
    "order": 1,
    "refill": 1
  },
  {
    "order": 2,
    "refill": 2
  },
  {
    "order": 3,
    "refill": {
      "error": "Incorrect order ID"
    }
  }
]

Refill status

모수설명
keyYour API key
actionrefill_status
refillRefill ID

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=refill_status -d refill=1

응답 예:

json
{
  "status": "Completed"
}

Multiple refill status

모수설명
keyYour API key
actionrefill_status
refillsRefill IDs separated by comma (up to 100)

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=refill_status -d refills=1,2,3

응답 예:

json
[
  {
    "refill": 1,
    "status": "Completed"
  },
  {
    "refill": 2,
    "status": "Rejected"
  },
  {
    "refill": 3,
    "status": {
      "error": "Refill not found"
    }
  }
]

Cancel

모수설명
keyYour API key
actioncancel
ordersOrder IDs separated by comma (up to 100)

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=cancel -d orders=9,10

응답 예:

json
[
  {
    "order": 9,
    "cancel": {
      "error": "Incorrect order ID"
    }
  },
  {
    "order": 2,
    "cancel": 1
  }
]